<?php

add_action('wp_ajax_loadGlobalContacts','loadGlobalContacts');
add_action('wp_ajax_nopriv_loadGlobalContacts', 'loadGlobalContacts' );
function loadGlobalContacts() {
	$contacts = get_posts(array('post_type'=>'contact','posts_per_page'=>-1));
	
	$out = array();
	foreach ($contacts as $contact) {
		$contact = new PostType($contact);
		$geolocation = $contact->geolocation;
		if ($geolocation) {
			$website = $contact->website;
			if ($website) {
				$website = '<a href="'.$website.'" target="_blank">'.$website.'</a>';
			}
			$icons = '';
			foreach ($contact->services as $service) {
				$icons .= '<img src="'.get_template_directory_uri().'/img/icon-'.strtolower($service).'.png" />';
			}
			
			$countries = $contact->country;
			if (!is_array($countries)) {
				$countries = array($countries);
			}

			$out[] = (object) array(
				'title' => $contact->post_title,
				'services' => $contact->services,
				'phone' => $contact->phone,
				'phonelink' => '<a href="tel:'.$contact->phone.'">'.$contact->phone.'</a>',
				'email' => $contact->email,
				'emaillink' => '<a href="tel:'.$contact->email.'">'.$contact->email.'</a>',
				'website' => $website,
				'address' => $contact->address, 
				'country' => $countries[0], 
				'countries' => $countries, 
				'geolocation' => $geolocation,
				'continent' => $contact->continent,
				'icons' => $icons,
			);

		}
	}
	
	print json_encode($out);
	
	die();
}
