<?php


/* ----------------------
		SLAVE EDIT
   ----------------------  */

// Check privileges before allowing edit of item
add_filter( 'user_has_cap', 'gulf_sharing_check_access', 10, 3 );
function gulf_sharing_check_access($allcaps, $cap, $args) {
	if (!empty($cap)) {
		switch ($cap[0]) {
			case 'edit_posts':
			case 'edit_others_posts':
			case 'edit_published_posts':
			case 'edit_pages':
			case 'edit_published_pages':
			case 'edit_others_pages':
				if (isset($args[2])) {
					$sharing = get_post_meta($args[2],'gulf_sharing_share',true);
					$priv = get_post_meta($args[2],'gulf_sharing_privileges',true);
					$owner = get_post_meta($args[2],'gulf_sharing_owner',true);
					if ($sharing == 'all' && !empty($owner) && $owner != home_url()) {
						$allcaps[$cap[0]] = false;
					}
				}
		}
	}
	
	return $allcaps;
}


add_filter('post_row_actions','gulf_sharing_action_row', 10, 2);
add_filter('page_row_actions','gulf_sharing_action_row', 10, 2);
function gulf_sharing_action_row($actions, $post){
	$sharing = get_post_meta($post->ID,'gulf_sharing_share',true);
	$priv = get_post_meta($post->ID,'gulf_sharing_privileges',true);
	$owner = get_post_meta($post->ID,'gulf_sharing_owner',true);
	
	if ($sharing == 'all' && !empty($owner) && $owner !== home_url())  {
		switch ($priv) {
			case 'locked':
				unset($actions['trash']);
				break;
			
			case 'ownable':
				unset($actions['edit']);
				unset($actions['inline hide-if-no-js']);
				unset($actions['trash']);
				$actions['translate'] = '<a href="'.admin_url('post.php?post='.$post->ID.'&action=gulf_take_ownership').'">Take ownership</a>';
				break;

			case 'translatable':
				unset($actions['edit']);
				unset($actions['inline hide-if-no-js']);
				unset($actions['trash']);
				$actions['translate'] = '<a href="'.admin_url('post.php?post='.$post->ID.'&action=gulf_translate').'">Translate</a>';
				break;
		}
	}
	
	return $actions;
}

