<?php

add_shortcode( 'gulfsport', 'shortcode_gulfsport' );
function shortcode_gulfsport( $atts=null ){
	if (is_array($atts)) {
		extract($atts);
	}

	$newsletters = array();
	
	$newsletters = get_transient('gulf_sport_newsletters');
	if (empty($newsletters)) {
		$json = gulf_curl('http://extranet.gulfoilltd.com/wp-admin/admin-ajax.php?action=get_newsletters&type=sport');
		$json = json_decode($json);
		if ($json) {
			foreach ($json as $i => $newsletter) {
				$newsletters[$newsletter->published] = $newsletter;
			}

			krsort($newsletters);
			
		}
		set_transient('gulf_sport_newsletters',$newsletters,60*60*1);
	}
	
	if ($newsletters) {
		$out = '<div class="row" id="sport-newsletters">';
		foreach ($newsletters as $i => $newsletter) {
			$out .= '<div class="columns medium-3 text-center"><a rel="newsletters" href="/wp-admin/admin-ajax.php?action=gulf_show_sport_newsletter&id='.$i.'" data-fancybox-type="iframe">';
			if ($newsletter->image) {
				$out .= '<img src="data:image/png;base64,'.$newsletter->image.'" />';
				$out .= '<h4>'.$newsletter->post_title.'</h4></a>';
			}
			$out .= '</div>';
		}
		$out .= '</div>';
		
		$out .= '<script>
			jQuery(document).ready(function() {
				jQuery("#sport-newsletters a").fancybox({
					width:716,
					padding:0
				});
			});
			</script';

	}

	return $out;
}

add_action('wp_ajax_gulf_show_sport_newsletter','gulf_show_sport_newsletter');
add_action('wp_ajax_nopriv_gulf_show_sport_newsletter','gulf_show_sport_newsletter');
function gulf_show_sport_newsletter() {
	$id = getGet('id');
	
	$newsletters = get_transient('gulf_sport_newsletters');
	if (empty($newsletters)) {
		die();
	}
	
	if (array_key_exists($id, $newsletters)) {
		print $newsletters[$id]->html;
	}
	
	die();
}

