<?php

$contacts = get_posts(array('post_type'=>'contact','posts_per_page'=>-1));

$allcountries = gulf_country_list();

$gulfcountries = array();
$allservices = array();
foreach ($contacts as $i => $contact) {
	$contact = new PostType($contact);
	$countries = $contact->country;
	if (!is_array($countries)) {
		$countries = array($countries);
	}
	foreach ($countries as $iso) {
		$gulfcountries[$iso] = $allcountries[$iso];
	} 
	$contact->countries = $countries;
	$contacts[$i] = $contact;
	$services = $contact->services;
	if (!is_array($services)) {
		$services = array($services);
	}
	foreach ($services as $service) {
		if (!in_array($service, $allservices)) {
			$allservices[] = $service;
		}
	}
}
$allservices = array_filter($allservices);
asort($gulfcountries);

foreach ($allservices as $service) {
	$services[] = '<option value="'.$service.'">'.__($service,"gulfoil").'</option>';
}


$countries = array();
foreach ($gulfcountries as $iso => $country) {
	$countries[] = '<option value="'.$iso.'">'.__($country,"gulfoil").'</option>';
}

?>
<div class="contactfilter">
	<?php if (count($countries) > 1) { ?>
		<div class="filtersection"><label><?php _e('Country',"gulfoil") ?></label><select id="filtercountry"><option value="">All</option><?php print implode('',$countries) ?></select></div>
	<?php } ?>
	<div class="filtersection"><label><?php _e('Product/Service','gulfoil') ?></label><select id="filterproduct"><option value="">All</option><?php print implode('',$services) ?></select></div>
</div>

<div class="contacts">
<?php
$continents = array();
foreach ($contacts as $contact) {
	$continent = $contact->continent;
	if (!array_key_exists($continent, $continents)) {
		$continents[$continent] = array();
	}
	$countries = $contact->countries;
	foreach ($countries as $country) {
		if (!array_key_exists($country, $continents[$continent])) {
			$continents[$continent][$country] = array('classes'=>array(),'contacts'=>array());
		}

		$phone = $contact->phone;
		$website = $contact->website;
		$icons = '';
		$services = $contact->services;
		if (!is_array($services)) {
			$services = array($services);
		}
		foreach ($services as $service) {
			if ($service) {
				$icons .= '<img title="'.$service.'" alt="'.$service.'" src="'.get_template_directory_uri().'/img/icon-'.strtolower(str_replace(' ', '-', $service)).'.png" />';
				$continents[$continent][$country]['classes'][] = $service;
			}
		}
		$continents[$continent][$country]['contacts'][] = '<div class="contact '.implode(' ',$services).'">'
				. '<div class="contact-pad" >'
					. '<h5>'.$contact->post_title.'</h5>'
					. '<div class="address">'.wpautop($contact->address).'</div>'
					. '<div class="links">'
						. ($phone? '<a class="phone" href="tel:'.$phone.':">'.$phone.'</a>' : '')
						. ($website? '<a class="website" href="http://'.$website.'" target="_blank">'.$website.'</a>' : '')
					. '</div>'
					. '<div class="icons">'.$icons.'</div>'
				. '</div>'
			. '</div>';
	}
}

ksort($continents);

foreach ($continents as $continent => $countries) {
	?>
	<div class="continent"><h2><?php print $continent ?></h2>
		<div class="countries">
			<?php
			ksort($countries);
			foreach ($countries as $iso => $country) {
				?>
				<div class="country <?php print $iso.' '.implode(' ',array_unique($country['classes'])) ?>">
					<h4><i class="fa flag-icon-background flag-icon-squared flag-icon-<?php print strtolower($iso) ?>"></i><?php print $allcountries[$iso] ?></h4>
					<?php
					$contactgroups = array_chunk($country['contacts'],2);
					foreach ($contactgroups as $contacts) {
						?>
						<div class="contacts row" >
							<?php
							foreach ($contacts as $contact) {
								?>
							<div class="columns medium-6 <?php print count($contacts)==1? 'medium-push-3' : '' ?>"><?php print $contact ?></div>
								<?php
							}
							?>
						</div>
						<?php
					}
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
	<?php
}

?>
</div>

